Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class CalendarPreferences.TimeInterval

    java.lang.Object
      portlets.compoze.groupware.pref.CalendarPreferences.TimeInterval

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CalendarPreferences

public static class CalendarPreferences.TimeInterval
extends java.lang.Object
implements java.io.Serializable

This class represents the time interval.

See Also:
  Serialized Form

Field Summary
`static CalendarPreferences.TimeInterval` | `FIFTEEN_MINUTES` This value represents the '15 minutes' time interval.
`static CalendarPreferences.TimeInterval` | `ONE_HOUR` This value represents the '1 hour' time interval.
`static CalendarPreferences.TimeInterval` | `THIRTY_MINUTES` This value represents the '30 minutes' time interval.
`static int` | `VALUE_FIFTEEN_MINUTES` This value represents the '15 minutes' time interval.
`static int` | `VALUE_ONE_HOUR` This value represents the '1 hour' time interval.
`static int` | `VALUE_THIRTY_MINUTES` This value represents the '30 minutes' time interval.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static CalendarPreferences.TimeInterval` | `get(int iValue)` Gets the time interval by the value.
`java.lang.String` | `getKey()` Gets the key (i18n resources name) for time interval.
`int` | `getMinutes()` Gets the minutes of the time interval.
`static java.util.List` | `getTimeIntervals()` Gets the list of time interval objects.
`int` | `getValue()` Gets the value of the time interval.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FIFTEEN_MINUTES

    public static final int VALUE_FIFTEEN_MINUTES

  This value represents the '15 minutes' time interval.

  See Also:
    Constant Field Values

### VALUE_THIRTY_MINUTES

    public static final int VALUE_THIRTY_MINUTES

  This value represents the '30 minutes' time interval.

  See Also:
    Constant Field Values

### VALUE_ONE_HOUR

    public static final int VALUE_ONE_HOUR

  This value represents the '1 hour' time interval.

  See Also:
    Constant Field Values

### THIRTY_MINUTES

    public static final CalendarPreferences.TimeInterval THIRTY_MINUTES

  This value represents the '30 minutes' time interval.

### FIFTEEN_MINUTES

    public static final CalendarPreferences.TimeInterval FIFTEEN_MINUTES

  This value represents the '15 minutes' time interval.

### ONE_HOUR

    public static final CalendarPreferences.TimeInterval ONE_HOUR

  This value represents the '1 hour' time interval.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (i18n resources name) for time interval.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the time interval.

  Returns:
    the value (see `VALUE_` constants)

### getMinutes

    public int getMinutes()

  Gets the minutes of the time interval.

  Returns:
    the minutes

### get

    public static CalendarPreferences.TimeInterval get(int iValue)

  Gets the time interval by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching time interval or the default time interval if not found

### getTimeIntervals

    public static java.util.List getTimeIntervals()

  Gets the list of time interval objects.

  Returns:
    the list of `TimeInterval` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.